Bug 979232 - Individual recipe priority bump is cumulative for recipeset
Individual recipe priority bump is cumulative for recipeset
Status: NEW
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.8
Unspecified Unspecified
low Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 22:39 EDT by Raymond Mancy
Modified: 2016-05-26 09:16 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2013-06-27 22:39:03 EDT
Description of problem:

When a recipeset's priority is bumped on account of a single recipe only having one system available to it, this becomes a cumulative effect when multiple recipes meet this criteria.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Create a RS with 2 recipes, each with one system available to it
2. 
3.

Actual results:

Before the RS has been queued its priority will be two levels higher than it was originally (that's if our priority ceiling allows it).

Expected results:

Only bumped one priority.

Additional info:
Comment 3 Jun'ichi NOMURA 2015-12-15 21:56:08 EST
Note: though the bug might still be there, it is currently non-issue for me as I'm disabling priority bump (by setting beaker.priority_bumping_enabled = False).

Note You need to log in before you can comment on or make changes to this bug.